package edu.rice.comp211.laundry.command;

/**
 * Visitor interface for Command objects.
 * @param <R> the return type of the visitor
 */
public interface CommandVisitor<R> {
   R forReceive(Receive rCmd);

   R forLose(Lose lCmd);

   R forChange(Change cCmd);

   R forLaunder(Launder lCmd);

   R forFold(Fold fCmd);

   R forOutfit(Outfit oCmd);
}
