package edu.rice.comp211.laundry.command;

import edu.rice.comp211.laundry.garment.*;
import edu.rice.comp211.laundry.iterator.BiIteratorI;
import edu.rice.comp211.laundry.list.*;
import edu.rice.comp211.laundry.student.*;


/**
 * Processes a command for the stored student reference
 * 
 *
 */
public class DoCommandVisitor implements CommandVisitor<String> {
  
  /**
   * The student the command is for.  Provides a access to the clothes worn, 
   * clean and dirty clothes piles and laundry room.
   */
  private final Student student;
  
  
  /**
   * Constructor for the class
   * @param pStudent the student the command is processing for.
   */
  public DoCommandVisitor(final Student pStudent){ 
    student = pStudent;
  }
  
  /**
   * Process a Receive command for the student
   * @param rCmd the command to process
   * @return a status string describing the processing that took place.
   */
  @Override
  public String forReceive(Receive rCmd) {
    // TO BE COMPLETED BY STUDENT
    return "";  // STUDENT MUST CHANGE THE RETURN TO THE CORRECT VALUE
  }
  
  /**
   * Process a Lose command for the student
   * @param lCmd the command to process
   * @return a status string describing the processing that took place.
   */
  @Override
  public String forLose(Lose lCmd) {
    // TO BE COMPLETED BY STUDENT
    return "";  // STUDENT MUST CHANGE THE RETURN TO THE CORRECT VALUE
  }
  
  
  /**
   * Process a Change command for the student
   * @param cCmd the command to process
   * @return a status string describing the processing that took place.
   */
  @Override
  public String forChange(final Change cCmd) {
    // TO BE COMPLETED BY STUDENT
    return "";  // STUDENT MUST CHANGE THE RETURN TO THE CORRECT VALUE
  }
  
  /**
   * Process a Launder command for the student
   * @param lCmd the command to process
   * @return a status string describing the processing that took place.
   */
  @Override
  public String forLaunder(Launder lCmd) {
    // TO BE COMPLETED BY STUDENT
    return "";  // STUDENT MUST CHANGE THE RETURN TO THE CORRECT VALUE
  }
  
  
  /**
   * Process a Fold command for the student
   * @param fCmd the command to process
   * @return a status string describing the processing that took place.
   */
  @Override
  public String forFold(Fold fCmd) {
    // TO BE COMPLETED BY STUDENT
    return "";  // STUDENT MUST CHANGE THE RETURN TO THE CORRECT VALUE
  }
  
  
  
  /**
   * Process an Outfit command for the student
   * @param oCmd the command to process
   * @return a status string describing the outfit the student is currently wearing
   */
  @Override
  public String forOutfit(Outfit oCmd) {
    // TO BE COMPLETED BY STUDENT
    return "";  // STUDENT MUST CHANGE THE RETURN TO THE CORRECT VALUE
  }
}

