package edu.rice.comp211.laundry.command;

/**
 * Variant class in Command union.  Represents a request to fold one pile of clean clothes in the laundry room.
 */
public class Fold extends Command {
   @Override
   public <R>  R accept(CommandVisitor<R> c) {
      return c.forFold(this);
   }

   @Override
   public String toString() {
      return "fold";
   }
}
