/**
 * 
 */
package edu.rice.comp211.laundry.garment;

/**
 * Represents the absence of a garment.   Used for such things as providing a concrete return value if a search for a 
 * garment fails.
 * @author swong
 *
 */
public class NullGarment extends Garment {

	/**
	 * Singleton pattern
	 */
	public static final NullGarment ONLY = new NullGarment();

	private NullGarment() {
		super("");

	}

	/* (non-Javadoc)
	 * @see edu.rice.comp211.laundry.garment.Garment#accept(edu.rice.comp211.laundry.garment.GarmentVisitor)
	 */
	/**
	 * Calls the forNullGarment case of the visitor and returns the result.
	 */
	@Override
	public <R> R accept(GarmentVisitor<R> v) {
		return v.forNullGarment(this);
	}
	
	/**
	 * String representation of the class
	 * @return "Null Garment" 
	 */
	public String toString() {
		return "Null Garment";
	}

}
