package edu.rice.comp211.laundry.list;
/**
 * Visitor to a BiListI<T> 
 * @author swong
 *
 * @param <T>  The type of elements held by the list
 * @param <R>  The return type of this visitor
 */
public interface BiListIVisitor<T, R> {
	
	/**
	 * empty list case
	 * @param host the empty host list 
	 * @return the return value of the visitor for this case
	 */
	public R forEmpty(BiListI<T> host);
	
	/**
	 * non-empty list case
	 * @param host the non-empty host list 
	 * @return the return value of the visitor for this case
	 */
	public R forNonEmpty(BiListI<T> host);
}
