package edu.rice.comp211.laundry.list;

import edu.rice.comp211.laundry.iterator.ReadIteratorI;

/**
 * The interface for a Comp211 collection of objects of type T.
 */
public interface EnumI<T> {

   /**
    * Test if this enumeration is empty
    * @return true if this enumeration is empty.
    */
   boolean isEmpty();

   /**
    * Factory for a new ReadIteratorI for processing this enumeration.
    * @return a new ReadIteratorI for processing this enumeration.  The position of the cursor is
    * unspecified.
    */
   ReadIteratorI<T> newIterator();
}
