package edu.rice.comp211.laundry.list;

/**
 * Interface for predicate closures to test objects of type T for some condition.
 * @param <T> the type of element to test.
 */
public interface Predicate<T> {
	/**
	 * The method that is called to test a given object
	 * @param elt the object of type T to test
	 * @return true if the test is true, false otherwise
	 */
	boolean test(T elt);
}