package edu.rice.comp211.laundry.ui;

import javax.swing.*;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

/**
 * Date: Mar 23, 2010
 * Time: 11:23:30 PM
 */
public final class SimLaundry2010Application extends Application {

   public static void main(String[] args) {
      new SplashScreen(1500).showSplash();
      new SimLaundry2010Application().start();
   }

   public static SimLaundry2010Application getInstance() {
      return (SimLaundry2010Application) Application.getInstance();
   }

   // Overriden to return the name of the Application
   @Override
   public String getName() {
      return getResourceAsString("appName");
   }

   // Overriden to create the UI and show it.
   @Override
   protected void init() {
      final JFrame frame = new JFrame(getResourceBundle().getString("frame.title"));
      frame.setIconImage(new ImageIcon(getClass().getResource("resources/simlaundry2010.gif")).getImage());
      frame.setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
      frame.addWindowListener(new WindowAdapter() {
         public void windowClosing(WindowEvent e) {
            exit();
         }
      });

      // Add components to the frame
      new LaundryController(frame);

      frame.setLocationRelativeTo(null);
      frame.setResizable(false);
      frame.setVisible(true);
   }
}
